Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.wsdl
Class WSDL2Java

    java.lang.Object
      org.apache.axis.wsdl.gen.WSDL2
          org.apache.axis.wsdl.WSDL2Java

public class WSDL2Java
extends WSDL2

Command line interface to the WSDL2Java utility

Field Summary
`protected static int` | `ALL_OPT` Field ALL_OPT
`protected static int` | `ALLOW_INVALID_URL_OPT` Field ALLOW_INVALID_URL_OPT
`protected boolean` | `bPackageOpt` Field bPackageOpt
`protected static int` | `BUILDFILE_OPT` Field BUILDFILE_OPT
`protected static int` | `CLASSPATH_OPT`
`protected static int` | `FACTORY_CLASS_OPT` Field FACTORY_CLASS_OPT
`protected static int` | `HELPER_CLASS_OPT` Field HELPER_CLASS_OPT
`protected static int` | `IMPL_CLASS_OPT` Field IMPL_CLASS_OPT
`protected static int` | `NAMESPACE_FILE_OPT` Field NAMESPACE_FILE_OPT
`protected static int` | `NAMESPACE_OPT` Field NAMESPACE_OPT
`protected static int` | `NS_EXCLUDE_OPT` Filed namespace exclude
`protected static int` | `NS_INCLUDE_OPT` Field namespace include
`protected static CLOptionDescriptor[]` | `options` Define the understood options.
`protected static int` | `OUTPUT_OPT` Field OUTPUT_OPT
`protected static int` | `PACKAGE_OPT` Field PACKAGE_OPT
`protected static int` | `PASSWORD_OPT` Field PASSWORD_OPT
`protected static int` | `SCOPE_OPT` Field SCOPE_OPT
`protected static int` | `SERVER_OPT` Field SERVER_OPT
`protected static int` | `SKELETON_DEPLOY_OPT` Field SKELETON_DEPLOY_OPT
`protected static int` | `TEST_OPT` Field TEST_OPT
`protected static int` | `TYPEMAPPING_OPT` Field TYPEMAPPING_OPT
`protected static int` | `USERNAME_OPT` Field USERNAME_OPT
`protected static int` | `WRAP_ARRAYS_OPT` Wrap arrays option

Fields inherited from class org.apache.axis.wsdl.gen.WSDL2
`DEBUG_OPT, HELP_OPT, NETWORK_TIMEOUT_OPT, NOIMPORTS_OPT, NOWRAP_OPT, parser, QUIET_OPT, VERBOSE_OPT, wsdlURI`

Constructor Summary
`protected` | `WSDL2Java()` Instantiate a WSDL2Java emitter.

Method Summary
`protected Parser` | `createParser()` Instantiate an extension of the Parser
`static void` | `main(java.lang.String[] args)` Main Run the WSDL2Java emitter with the specified command-line arguments
`protected void` | `parseOption(CLOption option)` Parse an option
`protected void` | `validateOptions()` validateOptions This method is invoked after the options are set to validate the option settings.

Methods inherited from class org.apache.axis.wsdl.gen.WSDL2
`addOptions, getParser, printUsage, removeOption, run`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SERVER_OPT

    protected static final int SERVER_OPT

  Field SERVER_OPT

  See Also:
    Constant Field Values

### SKELETON_DEPLOY_OPT

    protected static final int SKELETON_DEPLOY_OPT

  Field SKELETON_DEPLOY_OPT

  See Also:
    Constant Field Values

### NAMESPACE_OPT

    protected static final int NAMESPACE_OPT

  Field NAMESPACE_OPT

  See Also:
    Constant Field Values

### NAMESPACE_FILE_OPT

    protected static final int NAMESPACE_FILE_OPT

  Field NAMESPACE_FILE_OPT

  See Also:
    Constant Field Values

### OUTPUT_OPT

    protected static final int OUTPUT_OPT

  Field OUTPUT_OPT

  See Also:
    Constant Field Values

### SCOPE_OPT

    protected static final int SCOPE_OPT

  Field SCOPE_OPT

  See Also:
    Constant Field Values

### TEST_OPT

    protected static final int TEST_OPT

  Field TEST_OPT

  See Also:
    Constant Field Values

### BUILDFILE_OPT

    protected static final int BUILDFILE_OPT

  Field BUILDFILE_OPT

  See Also:
    Constant Field Values

### PACKAGE_OPT

    protected static final int PACKAGE_OPT

  Field PACKAGE_OPT

  See Also:
    Constant Field Values

### ALL_OPT

    protected static final int ALL_OPT

  Field ALL_OPT

  See Also:
    Constant Field Values

### TYPEMAPPING_OPT

    protected static final int TYPEMAPPING_OPT

  Field TYPEMAPPING_OPT

  See Also:
    Constant Field Values

### FACTORY_CLASS_OPT

    protected static final int FACTORY_CLASS_OPT

  Field FACTORY_CLASS_OPT

  See Also:
    Constant Field Values

### HELPER_CLASS_OPT

    protected static final int HELPER_CLASS_OPT

  Field HELPER_CLASS_OPT

  See Also:
    Constant Field Values

### USERNAME_OPT

    protected static final int USERNAME_OPT

  Field USERNAME_OPT

  See Also:
    Constant Field Values

### PASSWORD_OPT

    protected static final int PASSWORD_OPT

  Field PASSWORD_OPT

  See Also:
    Constant Field Values

### CLASSPATH_OPT

    protected static final int CLASSPATH_OPT

See Also:
  Constant Field Values

### bPackageOpt

    protected boolean bPackageOpt

  Field bPackageOpt

### NS_INCLUDE_OPT

    protected static final int NS_INCLUDE_OPT

  Field namespace include

  See Also:
    Constant Field Values

### NS_EXCLUDE_OPT

    protected static final int NS_EXCLUDE_OPT

  Filed namespace exclude

  See Also:
    Constant Field Values

### IMPL_CLASS_OPT

    protected static final int IMPL_CLASS_OPT

  Field IMPL_CLASS_OPT

  See Also:
    Constant Field Values

### ALLOW_INVALID_URL_OPT

    protected static final int ALLOW_INVALID_URL_OPT

  Field ALLOW_INVALID_URL_OPT

  See Also:
    Constant Field Values

### WRAP_ARRAYS_OPT

    protected static final int WRAP_ARRAYS_OPT

  Wrap arrays option

  See Also:
    Constant Field Values

### options

    protected static final CLOptionDescriptor[] options

  Define the understood options. Each CLOptionDescriptor contains: - The "long" version of the option. Eg, "help" means that "--help" will be recognised. - The option flags, governing the option's argument(s). - The "short" version of the option. Eg, 'h' means that "-h" will be recognised. - A description of the option for the usage message

Constructor Detail

### WSDL2Java

    protected WSDL2Java()

  Instantiate a WSDL2Java emitter.

Method Detail

### createParser

    protected Parser createParser()

  Instantiate an extension of the Parser

  Overrides:
    `createParser` in class `WSDL2`
  Returns:

### parseOption

    protected void parseOption(CLOption option)

  Parse an option

  Overrides:
    `parseOption` in class `WSDL2`
  Parameters:
    `option` - is the option

### validateOptions

    protected void validateOptions()

  validateOptions This method is invoked after the options are set to validate the option settings.

  Overrides:
    `validateOptions` in class `WSDL2`

### main

    public static void main(java.lang.String[] args)

  Main Run the WSDL2Java emitter with the specified command-line arguments

  Parameters:
    `args` - command-line arguments

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.